Subject: bug#12796: Optimize `ido-completing-read' for larger lists with flex matching enabled

From: Leo <[email-masked]>
Date: Wed, 07 Nov 2012 10:27:48 +0800

On 2012-11-06 04:57 +0800, Dmitry Gutov wrote:
> And the root cause is..?

I haven't looked. So maybe you could use a profiler to find where it is.
It seems string-match in flex matching is slow. I think we should make
sure the computation is optimised. There are third party libs such as
ido-hacks.el which might have some ideas.

> Doing some sort of preprocessing on the candidates list comes to mind
> (search tree?), but I don't immediately see a way of doing that for flex
> matching.

Leo